1. User
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
      GET
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. User

Created By

GET
/api/v1/user

User List#

Purpose#

Retrieve all users available in the VasyERP account.

Why would you use this?#

Use this API when your system needs to fetch users for assigning transactions, approvals, reporting, or user-based integrations.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP

Information Returned#

User ID
User Name

Important Notes#

User IDs are unique within the account.
Store User IDs for future user-related operations.
User names may change over time, but User IDs remain constant

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/user' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "User List",
    "code": "200",
    "response": {
        "totalCount": 13,
        "items": [
            {
                "userId": 24810,
                "userName": "Ananda Sec 81"
            },
            {
                "userId": 24812,
                "userName": "Cleo country noida"
            },
            {
                "userId": 24808,
                "userName": "Dlf Phase 1"
            },
            {
                "userId": 24809,
                "userName": "Gurgaon Warehouse"
            },
            {
                "userId": 24501,
                "userName": "New employ"
            },
            {
                "userId": 24500,
                "userName": "NewEmployee"
            },
            {
                "userId": 24811,
                "userName": "Noida Warehouse"
            },
            {
                "userId": 24785,
                "userName": "Sector 46 Noida"
            },
            {
                "userId": 24807,
                "userName": "South City"
            },
            {
                "userId": 24677,
                "userName": "Test Branch"
            },
            {
                "userId": 24617,
                "userName": "Umesh Branch"
            },
            {
                "userId": 24806,
                "userName": "Vyapar Kendra"
            },
            {
                "userId": 24448,
                "userName": "my business"
            }
        ]
    }
}
Previous
Get All Recipe
Next
Get Sales Item Register Data
Built with